#ifndef _IMPLEMENTATION2_H_
#define _IMPLEMENTATION2_H_

#include "interface.hpp" 
#include <iostream>
#include <unistd.h>

struct Device::deviceImpl
{
	deviceImpl()  
	{
		std::cout << "Device implementation Constarctor For STM "<< std::endl;
	}
	void printNumber(const uint8_t& no)
	{
		std::cout << "selected no: "<< unsigned(no) << std::endl;
	}
}; 

#endif // _IMPLEMENTATION2_H_
